class mx.data.components.datasetclasses.DeltaPacketImpl extends Object implements mx.data.components.datasetclasses.DeltaPacket
{
   var _deltaPacket;
   var _optimized;
   var _source;
   var _keyInfo;
   var _transId;
   var _log;
   var _timestamp;
   var _confInfo;
   function DeltaPacketImpl(src, id, keyInfo, log, conSch)
   {
      super();
      this._deltaPacket = new Array();
      this._optimized = true;
      this._source = src;
      this._keyInfo = keyInfo != undefined ? keyInfo : null;
      this._transId = id;
      this._log = log != undefined ? log : false;
      this._timestamp = new Date();
      this._confInfo = conSch;
   }
   function addItem(item)
   {
      if(item instanceof mx.data.components.datasetclasses.Delta)
      {
         item._owner = this;
         this._deltaPacket.push(item);
         return true;
      }
      return false;
   }
   function clear()
   {
      this._deltaPacket = new Array();
   }
   function contains(item)
   {
      var _loc3_ = false;
      var _loc2_ = 0;
      while(!_loc3_ && _loc2_ < this._deltaPacket.length)
      {
         _loc3_ = this._deltaPacket[_loc2_] == item;
         _loc2_ = _loc2_ + 1;
      }
      return _loc3_;
   }
   function getIterator()
   {
      return new mx.utils.IteratorImpl(this);
   }
   function getItemAt(index)
   {
      return this._deltaPacket[index];
   }
   function getConfigInfo(info)
   {
      return this._confInfo;
   }
   function getKeyInfo()
   {
      return this._keyInfo;
   }
   function getLength()
   {
      return this._deltaPacket.length;
   }
   function getSource()
   {
      return this._source;
   }
   function getTransactionId()
   {
      return this._transId;
   }
   function getTimestamp()
   {
      return this._timestamp;
   }
   function isEmpty()
   {
      return this._deltaPacket.length == 0;
   }
   function removeItem(item)
   {
      return false;
   }
   function logChanges()
   {
      return this._log;
   }
}
